libzypp: ztui::ansi Namespace Reference

libzypp 17.38.10

ztui::ansi Namespace Reference

## Namespaces
namespace | tty

## Classes
struct | ColorTraits
class | Color
| Various ways to define ansi SGR sequences. More...
struct | ColorTraits< Color::Constant >
class | ColorString
| Colored string if do_colors. More...
class | ColorStream
| Colored stream output if do_colors. More...
struct | ColorTraits< ztui::ColorContext >

## Typedefs
template<typename CCC_>
using | EnableIfCustomColorCtor = std::enable_if_t< ansi::ColorTraits<std::decay_t<CCC_>>::customColorCtor >
| relates: ColorTraits<Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits
template<typename CCC_>
using | DisableIfCustomColorCtor = std::enable_if_t< !ansi::ColorTraits<std::decay_t<CCC_>>::customColorCtor >
| relates: ColorTraits<Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

## Functions
std::ostream & | operator<< (std::ostream &str, Color obj)
| relates: Color Print the colors SGRsequence if do_colors is `true`
std::ostream & | operator<< (std::ostream &str, const ColorString &obj)
| relates: ColorString Print colored on ostream

## Typedef Documentation

## ◆ EnableIfCustomColorCtor

template<typename CCC_>

using ztui::ansi::EnableIfCustomColorCtor = std::enable_if_t< ansi::ColorTraits<std::decay_t<CCC_>>::customColorCtor >

relates: ColorTraits<Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

Definition at line 152 of file ansi.h.

## ◆ DisableIfCustomColorCtor

template<typename CCC_>

using ztui::ansi::DisableIfCustomColorCtor = std::enable_if_t< !ansi::ColorTraits<std::decay_t<CCC_>>::customColorCtor >

relates: ColorTraits<Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

Definition at line 156 of file ansi.h.

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & ztui::ansi::operator<< | ( | std::ostream & | str,
|  | Color | obj )
| inline

relates: Color Print the colors SGRsequence if do_colors is `true`

Definition at line 477 of file ansi.h.

## ◆ operator<<() [2/2]

std::ostream & ztui::ansi::operator<< | ( | std::ostream & | str,
|  | const ColorString & | obj )
| inline

relates: ColorString Print colored on ostream

Definition at line 643 of file ansi.h.